LiteSpeed Linux server2.poyrazhosting.com 3.10.0-962.3.2.lve1.5.77.el7.x86_64 #1 SMP Mon Dec 12 07:06:14 EST 2022 x86_64 safemode : OFF MySQL: OFF | Perl: OFF | cURL: ON | WGet: OFF > / lib / rpm / | Server Ip : 172.67.216.244 |
Filename | /lib/rpm/check-buildroot |
Size | 1.21 kb |
Permission | rwxr-xr-x |
Owner | |
Create time | 08-Dec-2022 22:35 |
Last modified | 24-Nov-2021 09:47 |
Last accessed | 24-Nov-2021 09:47 |
Actions | edit | rename | delete | download (gzip) |
View | text | code | image |
#! /bin/sh
# Copyright (C) 2004 Enrico Scholz <[email protected]>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
test -z "$QA_SKIP_BUILD_ROOT" || exit 0
if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then
exit 0
fi
tmp=$(mktemp ${TMPDIR:-/tmp}/cbr.XXXXXX)
trap "rm -f $tmp" EXIT
find "$RPM_BUILD_ROOT" \! \( \
-name '*.pyo' -o -name '*.pyc' -o -name '*.elc' -o -name '.packlist' \
\) -type f -print0 | \
LANG=C xargs -0r grep -F "$RPM_BUILD_ROOT" >$tmp
test -s "$tmp" && {
cat "$tmp"
echo "Found '$RPM_BUILD_ROOT' in installed files; aborting"
exit 1
} || :
# Copyright (C) 2004 Enrico Scholz <[email protected]>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
test -z "$QA_SKIP_BUILD_ROOT" || exit 0
if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then
exit 0
fi
tmp=$(mktemp ${TMPDIR:-/tmp}/cbr.XXXXXX)
trap "rm -f $tmp" EXIT
find "$RPM_BUILD_ROOT" \! \( \
-name '*.pyo' -o -name '*.pyc' -o -name '*.elc' -o -name '.packlist' \
\) -type f -print0 | \
LANG=C xargs -0r grep -F "$RPM_BUILD_ROOT" >$tmp
test -s "$tmp" && {
cat "$tmp"
echo "Found '$RPM_BUILD_ROOT' in installed files; aborting"
exit 1
} || :